Package org.eclipse.mat.query

## Class DetailResultProvider

- java.lang.Object
- - org.eclipse.mat.query.DetailResultProvider

    public abstract class DetailResultProvider
    extends java.lang.Object

Used to give more detailed information about rows in a table as another IResult.

### Constructor Summary

Constructors
`DetailResultProvider​(java.lang.String label)` Constructor of object to enhance details of rows of a table.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.net.URL` `getIcon()` The icon associated with this provider.
`java.lang.String` `getLabel()` The description, which can be used as an extra menu item name.
`abstract IResult` `getResult​(java.lang.Object row, IProgressListener listener)` Get more data about the row.
`abstract boolean` `hasResult​(java.lang.Object row)` Whether there is any data for this row

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DetailResultProvider

    public DetailResultProvider​(java.lang.String label)

Constructor of object to enhance details of rows of a table. Used to give more detailed information about rows in a table as another IResult.

Parameters:
  `label` - the description used for example as a query menu item or as a link in an HTML report.

### Method Detail

#### getLabel

    public final java.lang.String getLabel()

The description, which can be used as an extra menu item name.

Returns:
  the description

#### getIcon

    public java.net.URL getIcon()

The icon associated with this provider. This could be used on a context menu.

Returns:
  a URL which can be used to get the icon, can be null
Since:
  1.1

#### hasResult

    public abstract boolean hasResult​(java.lang.Object row)

Whether there is any data for this row

Parameters:
  `row` - the opaque data representing the row
Returns:
  true if getResult is to be called

#### getResult

    public abstract IResult getResult​(java.lang.Object row,
                                      IProgressListener listener)
                               throws SnapshotException

Get more data about the row.

Parameters:
  `row` - the opaque object for finding the row
  `listener` - to indicate progress or errors
Returns:
  the extra generated results
Throws:
  `SnapshotException` - if there was a problem getting the result